Difference between revisions of "Draft Label/de"

From FreeCAD Documentation
Jump to navigation Jump to search
(Created page with "==Skripten== {{Emphasis|Siehe auch:}} Entwurf API und FreeCAD Grundlagen Skripten.")
(Created page with "Das Etikett Werkzeug kann in Makros und aus der Python Konsole mit der folgenden Funktion verwendet werden:")
Line 87: Line 87:
 
{{Emphasis|Siehe auch:}} [[Draft API/de|Entwurf API]] und [[FreeCAD Scripting Basics/de|FreeCAD Grundlagen Skripten]].
 
{{Emphasis|Siehe auch:}} [[Draft API/de|Entwurf API]] und [[FreeCAD Scripting Basics/de|FreeCAD Grundlagen Skripten]].
  
The Label tool can be used in [[macros]] and from the [[Python]] console by using the following function:
+
Das Etikett Werkzeug kann in [[macros/de|Makros]] und aus der [[Python/de|Python]] Konsole mit der folgenden Funktion verwendet werden:
 
{{Code|code=
 
{{Code|code=
 
Label = makeLabel(targetpoint=None, target=None, direction=None, distance=None, labeltype=None, placement=None)
 
Label = makeLabel(targetpoint=None, target=None, direction=None, distance=None, labeltype=None, placement=None)

Revision as of 21:54, 24 November 2020

Other languages:
Deutsch • ‎English • ‎Türkçe • ‎español • ‎français • ‎italiano • ‎română • ‎русский
Arrow-left.svg KubischeBezKurve Vorherige:
Nächste: Bewege Draft Move.svg Arrow-right.svg

Draft Label.svg Entwurf Etikett

Menüeintrag
Entwurf → Etikett
Arbeitsbereich
Entwurf, Arch
Standardtastenkürzel
D L
In der Version eingeführt
0.17
Siehe auch
Entwurf Text, Entwurf FormZeichenfolge


Beschreibung

Das Etikettenwerkzeug fügt ein mehrzeiliges Textfeld mit einer 2-teiligen Führungslinie und einem Pfeil ein. Wenn beim Starten des Befehls ein Objekt oder ein Unterelement (Fläche, Kante oder Scheitelpunkt) ausgewählt wird, kann das Etikett veranlasst werden, ein bestimmtes Attribut des ausgewählten Elements anzuzeigen, einschließlich Position, Länge, Fläche, Volumen oder Material.

Um ein einfacheres Textelement ohne Pfeil einzufügen, verwende Entwurf Text. Um feste Textformen zu erstellen, verwende Entwurf FormZeichenfolge mit Part extrudieren.

Draft Label example.jpg

Verschiedene Etiketten mit unterschiedlichen Ausrichtungen, Hinweissymbolen und Informationen


Anwendung

  1. Drücke die Draft Label.svg Entwurf Etikett Schaltfläche oder drücke D und dann L Schaltflächen.
  2. Klicke auf einen ersten Punkt in der 3D Ansicht oder gib eine Koordinate ein und drücke die Draft AddPoint.svg Punkt hinzufügen Schaltfläche. Dieser Punkt gibt das Ziel (Pfeilspitze) an. Dies kann überall sein, es muss kein Element sein.
  3. Klicke auf einen zweiten Punkt in der 3D Ansicht, oder gib eine Koordinate ein, und drücke die Draft AddPoint.svg Punkt hinzufügen Schaltfläche. Dieser Punkt zeigt den Beginn einer horizontalen oder vertikalen Führungslinie an.
  4. Klicke auf einen dritten Punkt in der 3D Ansicht, oder gib eine Koordinate ein, und drücke die Draft AddPoint.svg Punkt hinzufügen Schaltfläche. Dieser Punkt gibt den Basispunkt des Textes an.

Hinweis: die Richtung des horizontalen geraden Segments, nach rechts oder links, richtet den Text automatisch in die entgegengesetzte Richtung aus. Wenn die Führungslinie vertikal nach oben geht, wird der Text nach links ausgerichtet; wenn sie vertikal nach unten geht, wird sie nach rechts ausgerichtet.

Hinweis 2: durch Vorauswahl eines Objekts oder eines Unterelements (Knoten, Kante oder Fläche) vor dem Drücken der Werkzeugschaltfläche wird die Beschriftung parametrisch, d. h. sie merkt sich, an welches Objekt sie gebunden ist, und kann ein bestimmtes Attribut dieses Objekts anzeigen. Wenn sich die Attribute des Objekts später ändern, passt das Etikett die angezeigten Informationen an.

Optionen

  • Klicke auf Etikettentyp, um die Art der anzuzeigenden Informationen auszuwählen, einschließlich "Benutzerdefiniert", "Name", "Etikett", "Position", "Länge", "Bereich", "Volumen", "Tag" und "Material". (Siehe Erklärung der Labeltypen unten)
  • Um Koordinaten manuell einzugeben, gib einfach die Zahlen ein und drücke dann Enter zwischen jeder X-, Y- und Z-Komponente. Du kannst die Draft AddPoint.svg Punkt hinzufügen Schaltfläche drücken wenn du die gewünschten Werte zum Einfügen des Punktes hast.
  • Halte Ctrl gedrückt, während der Platzierung der Beschriftung, um Fang deinen Punkt unabhängig von der Entfernung an die nächstgelegene Fangposition zu zwingen.
  • Drücke Esc oder die Schließen Schaltfläche, um den aktuellen Befehl abzubrechen.

Eigenschaften

Data

  • DataLabel Type: specifies the type of information shown by this label (see Label types below).
  • DataCustom Text: specifies the text block to display when DataLabel Type is set to "Custom", or the label is not parametric. The text is given as a list of strings; each element on the list, separated by a comma, indicates a new line of text.
  • DataText: (read-only) indicates the actual text displayed by the label, depending on the DataLabel Type.
  • DataTarget Point: specifies the position of the tip of the leader.
  • DataStraight Direction: specifies the direction of the straight segment of the leader, either horizontal or vertical.
  • DataStraight Distance: specifies the length of the straight segment of the leader, starting from the base point of the text. If the distance is positive, the leader starts from the right side of the text, and the text aligns to the right; otherwise, the leader starts from the left side of the text, and the text aligns to the left.
  • DataPosition: specifies the base point of the first line of the text block; it also influences how the leader is drawn.
  • DataAngle: specifies the rotation of the baseline of the first line of the text block; it also influences how the leader is drawn, as it will no longer be horizontal or vertical.
  • DataAxis: specifies the axis to use for the rotation.

Etikettentypen

  • Custom: displays the contents of DataCustom Text.
  • Name: displays the internal name of the target object; the internal name is assigned to the object at its creation time, and remains fixed throughout the existence of the object.
  • Label: displays the label of the target object; the label of the object can be changed by the user at any time.
  • Position: displays the coordinates of the base point of the target object, of the target vertex, or of the center of mass of the target sub-element, if applicable.
  • Length: displays the length of the target sub-element, if applicable.
  • Area: displays the area of the target sub-element, if applicable.
  • Volume: displays the volume of the target object, if applicable.
  • Tag: displays the Tag attribute of the target object, if the object has such property, for example, objects created with the Arch Workbench.
  • Material: displays the label of the material of the target object, if the target object has such property.

View

  • ViewText Font: specifies the font to use to draw the text. It can be a font name, such as "Arial", a default style such as "sans", "serif" or "mono", a family such as "Arial,Helvetica,sans" or a name with a style such as "Arial:Bold". If the given font is not found on the system, a generic one is used instead.
  • ViewText Size: specifies the size of the text. If the label object is created in the tree view but no text is visible in the 3D view, increase the size of the text until it is visible.
  • ViewText Alignment: specifies the vertical alignment of the baseline of the text with respect to the leader. It can be top, middle or bottom.
  • ViewText Color: specifies the color of the text in an RGB tuple (R, G, B).
  • ViewLine Width: specifies the width of the leader.
  • ViewLine Color: specifies the color of the leader.
  • ViewArrow Size: specifies the size of the symbol displayed at the tip of the leader.
  • ViewArrow Type: specifies the type of symbol displayed at the tip of the leader, which can be dot, circle, arrow, or tick.
  • ViewFrame: if it is "Rectangle" it will draw a frame around the text.
  • ViewLine: if it is true the leader line will be displayed; otherwise only the text and the symbol at the tip will be displayed.
  • ViewDisplay Mode: if it is "3D text" the text will be aligned to the scene axes, initially lying on the XY plane; if it is "2D text" the text will always face the camera.

Skripten

Siehe auch: Entwurf API und FreeCAD Grundlagen Skripten.

Das Etikett Werkzeug kann in Makros und aus der Python Konsole mit der folgenden Funktion verwendet werden:

Label = makeLabel(targetpoint=None, target=None, direction=None, distance=None, labeltype=None, placement=None)
  • Creates a Label object, with the leader pointing to targetpoint, and linking to the target object which must be a DocumentObject (Editor: or a SelectionObject? This is unclear).
  • direction is either "Horizontal", "Vertical", or "Custom".
  • distance is the distance from the base point of the text to the leader.
  • labeltype is one of "Custom", "Name", "Label", "Position", "Length", "Area", "Volume", "Tag", or "Material".
  • If a placement is given, it is used for the base point of the text; otherwise the text is created at the origin.

Change the custom text by overwriting the CustomText attribute. A list of strings can be used; each element will be displayed in its own line.

The view properties of Label can be changed by overwriting its attributes; for example, overwrite ViewObject.TextSize with the new size in millimeters.

Beispiel:

import FreeCAD, Draft

Rectangle = Draft.makeRectangle(4000, 1000)

p1 = FreeCAD.Vector(-200, 1000, 0)
place1 = FreeCAD.Placement(FreeCAD.Vector(-1000, 1300, 0), FreeCAD.Rotation())

Label1 = Draft.makeLabel(p1, Rectangle, "Horizontal", 500, "Label", place1)
Label1.ViewObject.TextSize = 200

p2 = FreeCAD.Vector(-200, 0, 0)
place2 = FreeCAD.Placement(FreeCAD.Vector(-1000, -300, 0), FreeCAD.Rotation())

Label2 = Draft.makeLabel(p2, Rectangle, "Horizontal", 500, "Custom", place2)
Label2.CustomText = ["Beware of the", "sharp edges"]
Label2.ViewObject.TextSize = 200
FreeCAD.ActiveDocument.recompute()

p3 = FreeCAD.Vector(1000, 1200, 0)
place3 = FreeCAD.Placement(FreeCAD.Vector(2000, 1800, 0), FreeCAD.Rotation())

Label3 = Draft.makeLabel(p3, Rectangle, "Horizontal", -500, "Area", place3)
Label3.ViewObject.TextSize = 200
FreeCAD.ActiveDocument.recompute()
Arrow-left.svg KubischeBezKurve Vorherige:
Nächste: Bewege Draft Move.svg Arrow-right.svg